--
-- NOTE:
--
-- File paths need to be edited. Search for $$PATH$$ and
-- replace it with the path to the directory containing
-- the extracted data files.
--
--
-- PostgreSQL database dump
--

-- Dumped from database version 16.3
-- Dumped by pg_dump version 16.0

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

DROP DATABASE taais;
--
-- Name: taais; Type: DATABASE; Schema: -; Owner: postgres
--

CREATE DATABASE taais WITH TEMPLATE = template0 ENCODING = 'UTF8' LOCALE_PROVIDER = libc LOCALE = 'en_US.utf8';


ALTER DATABASE taais OWNER TO postgres;

\connect taais

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

--
-- Name: cast_varchar_to_timestamp(character varying); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.cast_varchar_to_timestamp(character varying) RETURNS timestamp with time zone
    LANGUAGE sql STRICT
    AS $_$
select to_timestamp($1, 'yyyy-mm-dd hh24:mi:ss');
$_$;


ALTER FUNCTION public.cast_varchar_to_timestamp(character varying) OWNER TO postgres;

--
-- Name: CAST (character varying AS timestamp with time zone); Type: CAST; Schema: -; Owner: -
--

CREATE CAST (character varying AS timestamp with time zone) WITH FUNCTION public.cast_varchar_to_timestamp(character varying) AS IMPLICIT;


--
-- Name: find_in_set(anyelement, text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.find_in_set(value anyelement, string_list text) RETURNS integer
    LANGUAGE plpgsql
    AS $$
DECLARE
    position INTEGER;
BEGIN
    IF string_list = '' THEN
        RETURN 0;
    ELSE
        position := array_position(string_to_array(string_list, ','), value::TEXT);
        RETURN position;
    END IF;
END;
$$;


ALTER FUNCTION public.find_in_set(value anyelement, string_list text) OWNER TO postgres;

--
-- Name: update_task_and_subtask(bigint, character varying); Type: PROCEDURE; Schema: public; Owner: postgres
--

CREATE PROCEDURE public.update_task_and_subtask(IN p_biz_id bigint, IN p_biztype character varying)
    LANGUAGE plpgsql
    AS $$
DECLARE
    v_task_id BIGINT;
    v_subtask_id BIGINT;
BEGIN
    -- 根据业务ID和业务类型获取任务ID
EXCEPTION
    WHEN OTHERS THEN
        RAISE EXCEPTION 'Error occurred: % (%). Please check the input and database state.', SQLERRM, SQLSTATE;
END;
$$;


ALTER PROCEDURE public.update_task_and_subtask(IN p_biz_id bigint, IN p_biztype character varying) OWNER TO postgres;

--
-- Name: update_task_and_subtask(text, numeric); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION public.update_task_and_subtask(biztype text, bizid numeric) RETURNS void
    LANGUAGE plpgsql
    AS $$
DECLARE
    existing_product_count INTEGER;
BEGIN
	select * from public.data limit 1;

EXCEPTION
    WHEN OTHERS THEN
        RAISE EXCEPTION 'An error occurred: %', SQLERRM;
END;
$$;


ALTER FUNCTION public.update_task_and_subtask(biztype text, bizid numeric) OWNER TO postgres;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: algorithm_biz_process; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_biz_process (
    id bigint NOT NULL,
    sub_task_id bigint NOT NULL,
    name character varying,
    type character varying,
    status character varying,
    algorithm_id bigint,
    model_id bigint,
    parameters text,
    preprocess_path character varying,
    result_path character varying,
    index bigint DEFAULT 0,
    start_time timestamp without time zone,
    end_time timestamp without time zone,
    cost_second bigint,
    log text,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_biz_process OWNER TO postgres;

--
-- Name: TABLE algorithm_biz_process; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_biz_process IS '算法业务处理表';


--
-- Name: COLUMN algorithm_biz_process.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.id IS '主键ID';


--
-- Name: COLUMN algorithm_biz_process.sub_task_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.sub_task_id IS '子任务id';


--
-- Name: COLUMN algorithm_biz_process.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.name IS '任务名称';


--
-- Name: COLUMN algorithm_biz_process.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.type IS '任务类型';


--
-- Name: COLUMN algorithm_biz_process.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.status IS '任务状态';


--
-- Name: COLUMN algorithm_biz_process.algorithm_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.algorithm_id IS '算法';


--
-- Name: COLUMN algorithm_biz_process.model_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.model_id IS '模型';


--
-- Name: COLUMN algorithm_biz_process.parameters; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.parameters IS '调用算法时所用的参数';


--
-- Name: COLUMN algorithm_biz_process.preprocess_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.preprocess_path IS '预处理数据路径';


--
-- Name: COLUMN algorithm_biz_process.result_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.result_path IS '结果数据路径';


--
-- Name: COLUMN algorithm_biz_process.index; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.index IS '序号';


--
-- Name: COLUMN algorithm_biz_process.start_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.start_time IS '开始时间';


--
-- Name: COLUMN algorithm_biz_process.end_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.end_time IS '结束时间';


--
-- Name: COLUMN algorithm_biz_process.cost_second; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.cost_second IS '耗时';


--
-- Name: COLUMN algorithm_biz_process.log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.log IS '日志';


--
-- Name: COLUMN algorithm_biz_process.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.create_by IS '创建人';


--
-- Name: COLUMN algorithm_biz_process.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_biz_process.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.update_by IS '更新人';


--
-- Name: COLUMN algorithm_biz_process.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_biz_process.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.remarks IS '备注';


--
-- Name: COLUMN algorithm_biz_process.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_biz_process.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.version IS '乐观锁';


--
-- Name: COLUMN algorithm_biz_process.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_biz_process.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_biz_process.system IS '系统';


--
-- Name: algorithm_config; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_config (
    id bigint NOT NULL,
    type character varying NOT NULL,
    parent_id bigint,
    subsystem character varying,
    algorithm_name character varying NOT NULL,
    algorithm_address character varying NOT NULL,
    parameter_config text,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_config OWNER TO postgres;

--
-- Name: TABLE algorithm_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_config IS '算法配置表';


--
-- Name: COLUMN algorithm_config.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.id IS '主键ID';


--
-- Name: COLUMN algorithm_config.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.type IS '类型';


--
-- Name: COLUMN algorithm_config.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.parent_id IS '父id';


--
-- Name: COLUMN algorithm_config.subsystem; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.subsystem IS '分系统';


--
-- Name: COLUMN algorithm_config.algorithm_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.algorithm_name IS '算法名称';


--
-- Name: COLUMN algorithm_config.algorithm_address; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.algorithm_address IS '算法地址';


--
-- Name: COLUMN algorithm_config.parameter_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.parameter_config IS '参数配置';


--
-- Name: COLUMN algorithm_config.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.create_by IS '创建人';


--
-- Name: COLUMN algorithm_config.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_config.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.update_by IS '更新人';


--
-- Name: COLUMN algorithm_config.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_config.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.remarks IS '备注';


--
-- Name: COLUMN algorithm_config.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_config.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.version IS '乐观锁';


--
-- Name: COLUMN algorithm_config.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_config.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_config.system IS '系统';


--
-- Name: algorithm_data_process; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_data_process (
    id bigint NOT NULL,
    sub_task_id bigint NOT NULL,
    name character varying,
    type character varying,
    status character varying,
    algorithm_id bigint,
    parameters text,
    preprocess_path character varying,
    result_path character varying,
    index bigint DEFAULT 0,
    start_time timestamp without time zone,
    end_time timestamp without time zone,
    cost_second bigint,
    log text,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_data_process OWNER TO postgres;

--
-- Name: TABLE algorithm_data_process; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_data_process IS '算法数据处理表';


--
-- Name: COLUMN algorithm_data_process.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.id IS '主键ID';


--
-- Name: COLUMN algorithm_data_process.sub_task_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.sub_task_id IS '子任务id';


--
-- Name: COLUMN algorithm_data_process.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.name IS '任务名称';


--
-- Name: COLUMN algorithm_data_process.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.type IS '任务类型';


--
-- Name: COLUMN algorithm_data_process.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.status IS '任务状态';


--
-- Name: COLUMN algorithm_data_process.algorithm_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.algorithm_id IS '算法';


--
-- Name: COLUMN algorithm_data_process.parameters; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.parameters IS '调用算法时所用的参数';


--
-- Name: COLUMN algorithm_data_process.preprocess_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.preprocess_path IS '预处理数据路径';


--
-- Name: COLUMN algorithm_data_process.result_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.result_path IS '结果数据路径';


--
-- Name: COLUMN algorithm_data_process.index; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.index IS '序号';


--
-- Name: COLUMN algorithm_data_process.start_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.start_time IS '开始时间';


--
-- Name: COLUMN algorithm_data_process.end_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.end_time IS '结束时间';


--
-- Name: COLUMN algorithm_data_process.cost_second; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.cost_second IS '耗时';


--
-- Name: COLUMN algorithm_data_process.log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.log IS '日志';


--
-- Name: COLUMN algorithm_data_process.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.create_by IS '创建人';


--
-- Name: COLUMN algorithm_data_process.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_data_process.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.update_by IS '更新人';


--
-- Name: COLUMN algorithm_data_process.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_data_process.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.remarks IS '备注';


--
-- Name: COLUMN algorithm_data_process.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_data_process.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.version IS '乐观锁';


--
-- Name: COLUMN algorithm_data_process.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_data_process.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_process.system IS '系统';


--
-- Name: algorithm_data_set; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_data_set (
    id bigint NOT NULL,
    sub_task_id bigint NOT NULL,
    name character varying,
    type character varying,
    status character varying,
    parameters text,
    result_path character varying,
    index bigint DEFAULT 0,
    start_time timestamp without time zone,
    end_time timestamp without time zone,
    cost_second bigint,
    log text,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_data_set OWNER TO postgres;

--
-- Name: TABLE algorithm_data_set; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_data_set IS '算法数据集合表';


--
-- Name: COLUMN algorithm_data_set.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.id IS '主键ID';


--
-- Name: COLUMN algorithm_data_set.sub_task_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.sub_task_id IS '子任务id';


--
-- Name: COLUMN algorithm_data_set.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.name IS '任务名称';


--
-- Name: COLUMN algorithm_data_set.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.type IS '任务类型';


--
-- Name: COLUMN algorithm_data_set.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.status IS '任务状态';


--
-- Name: COLUMN algorithm_data_set.parameters; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.parameters IS '调用算法时所用的参数';


--
-- Name: COLUMN algorithm_data_set.result_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.result_path IS '结果数据路径';


--
-- Name: COLUMN algorithm_data_set.index; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.index IS '序号';


--
-- Name: COLUMN algorithm_data_set.start_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.start_time IS '开始时间';


--
-- Name: COLUMN algorithm_data_set.end_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.end_time IS '结束时间';


--
-- Name: COLUMN algorithm_data_set.cost_second; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.cost_second IS '耗时';


--
-- Name: COLUMN algorithm_data_set.log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.log IS '日志';


--
-- Name: COLUMN algorithm_data_set.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.create_by IS '创建人';


--
-- Name: COLUMN algorithm_data_set.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_data_set.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.update_by IS '更新人';


--
-- Name: COLUMN algorithm_data_set.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_data_set.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.remarks IS '备注';


--
-- Name: COLUMN algorithm_data_set.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_data_set.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.version IS '乐观锁';


--
-- Name: COLUMN algorithm_data_set.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_data_set.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_data_set.system IS '系统';


--
-- Name: algorithm_model; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_model (
    id bigint NOT NULL,
    algorithm_id bigint NOT NULL,
    model_name character varying NOT NULL,
    model_address character varying NOT NULL,
    sample_number bigint,
    cycle_epoch bigint,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_model OWNER TO postgres;

--
-- Name: TABLE algorithm_model; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_model IS '算法模型配置表';


--
-- Name: COLUMN algorithm_model.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.id IS '主键ID';


--
-- Name: COLUMN algorithm_model.algorithm_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.algorithm_id IS '算法';


--
-- Name: COLUMN algorithm_model.model_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.model_name IS '模型名称';


--
-- Name: COLUMN algorithm_model.model_address; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.model_address IS '模型';


--
-- Name: COLUMN algorithm_model.sample_number; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.sample_number IS '训练样本数';


--
-- Name: COLUMN algorithm_model.cycle_epoch; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.cycle_epoch IS '训练循环次数';


--
-- Name: COLUMN algorithm_model.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.create_by IS '创建人';


--
-- Name: COLUMN algorithm_model.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_model.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.update_by IS '更新人';


--
-- Name: COLUMN algorithm_model.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_model.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.remarks IS '备注';


--
-- Name: COLUMN algorithm_model.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_model.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.version IS '乐观锁';


--
-- Name: COLUMN algorithm_model.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_model.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_model.system IS '系统';


--
-- Name: algorithm_subtask; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_subtask (
    id bigint NOT NULL,
    task_id bigint,
    name character varying NOT NULL,
    type character varying NOT NULL,
    status character varying NOT NULL,
    parameters text NOT NULL,
    start_time timestamp without time zone,
    end_time timestamp without time zone,
    cost_second bigint,
    log text,
    index bigint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_subtask OWNER TO postgres;

--
-- Name: TABLE algorithm_subtask; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_subtask IS '算法子任务表';


--
-- Name: COLUMN algorithm_subtask.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.id IS '主键ID';


--
-- Name: COLUMN algorithm_subtask.task_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.task_id IS '任务ID';


--
-- Name: COLUMN algorithm_subtask.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.name IS '任务名称';


--
-- Name: COLUMN algorithm_subtask.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.type IS '任务类型';


--
-- Name: COLUMN algorithm_subtask.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.status IS '任务状态';


--
-- Name: COLUMN algorithm_subtask.parameters; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.parameters IS '调用算法时所用的参数';


--
-- Name: COLUMN algorithm_subtask.start_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.start_time IS '开始时间';


--
-- Name: COLUMN algorithm_subtask.end_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.end_time IS '结束时间';


--
-- Name: COLUMN algorithm_subtask.cost_second; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.cost_second IS '耗时';


--
-- Name: COLUMN algorithm_subtask.log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.log IS '日志';


--
-- Name: COLUMN algorithm_subtask.index; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.index IS '序号';


--
-- Name: COLUMN algorithm_subtask.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.create_by IS '创建人';


--
-- Name: COLUMN algorithm_subtask.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_subtask.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.update_by IS '更新人';


--
-- Name: COLUMN algorithm_subtask.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_subtask.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.remarks IS '备注';


--
-- Name: COLUMN algorithm_subtask.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_subtask.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.version IS '乐观锁';


--
-- Name: COLUMN algorithm_subtask.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_subtask.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_subtask.system IS '系统';


--
-- Name: algorithm_task; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.algorithm_task (
    id bigint NOT NULL,
    name character varying NOT NULL,
    status character varying DEFAULT 0 NOT NULL,
    start_time timestamp without time zone,
    end_time timestamp without time zone,
    cost_second bigint,
    log text,
    create_by bigint,
    create_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    update_by bigint,
    update_time timestamp without time zone DEFAULT CURRENT_TIMESTAMP,
    remarks character varying,
    tenant_id bigint DEFAULT 0,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    system character varying
);


ALTER TABLE public.algorithm_task OWNER TO postgres;

--
-- Name: TABLE algorithm_task; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.algorithm_task IS '算法任务表';


--
-- Name: COLUMN algorithm_task.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.id IS '主键ID';


--
-- Name: COLUMN algorithm_task.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.name IS '任务名称';


--
-- Name: COLUMN algorithm_task.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.status IS '任务状态';


--
-- Name: COLUMN algorithm_task.start_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.start_time IS '开始时间';


--
-- Name: COLUMN algorithm_task.end_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.end_time IS '结束时间';


--
-- Name: COLUMN algorithm_task.cost_second; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.cost_second IS '耗时';


--
-- Name: COLUMN algorithm_task.log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.log IS '日志';


--
-- Name: COLUMN algorithm_task.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.create_by IS '创建人';


--
-- Name: COLUMN algorithm_task.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.create_time IS '创建时间';


--
-- Name: COLUMN algorithm_task.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.update_by IS '更新人';


--
-- Name: COLUMN algorithm_task.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.update_time IS '更新时间';


--
-- Name: COLUMN algorithm_task.remarks; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.remarks IS '备注';


--
-- Name: COLUMN algorithm_task.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.tenant_id IS '租户编码';


--
-- Name: COLUMN algorithm_task.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.version IS '乐观锁';


--
-- Name: COLUMN algorithm_task.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN algorithm_task.system; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.algorithm_task.system IS '系统';


--
-- Name: data; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.data (
    id bigint NOT NULL,
    name character varying(225) DEFAULT ''::character varying,
    data_type character varying(225) DEFAULT ''::character varying,
    file_type character varying(225) DEFAULT ''::character varying,
    object_type character varying(225) DEFAULT ''::character varying,
    object_subtype character varying(225) DEFAULT ''::character varying,
    batch_num bigint,
    scene character varying(225) DEFAULT ''::character varying,
    data_source character varying(225) DEFAULT ''::character varying,
    gather_time timestamp without time zone,
    gather_spot character varying(225) DEFAULT ''::character varying,
    url character varying(225),
    labelurl character varying(225),
    increment character varying(225) DEFAULT ''::character varying,
    labeled boolean DEFAULT false
);


ALTER TABLE public.data OWNER TO postgres;

--
-- Name: TABLE data; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.data IS '数据管理表';


--
-- Name: COLUMN data.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.id IS 'id';


--
-- Name: COLUMN data.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.name IS '名称';


--
-- Name: COLUMN data.data_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.data_type IS '数据类型';


--
-- Name: COLUMN data.file_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.file_type IS '文件类型';


--
-- Name: COLUMN data.object_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.object_type IS '目标类型';


--
-- Name: COLUMN data.object_subtype; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.object_subtype IS '目标子类型';


--
-- Name: COLUMN data.batch_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.batch_num IS '批次号';


--
-- Name: COLUMN data.scene; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.scene IS '场景';


--
-- Name: COLUMN data.data_source; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.data_source IS '数据源';


--
-- Name: COLUMN data.gather_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.gather_time IS '采集时间';


--
-- Name: COLUMN data.gather_spot; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.gather_spot IS '采集地点';


--
-- Name: COLUMN data.url; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.url IS '图片url';


--
-- Name: COLUMN data.labelurl; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.labelurl IS '标注url';


--
-- Name: COLUMN data.increment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.increment IS '扩增方式';


--
-- Name: COLUMN data.labeled; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.data.labeled IS '是否标注';


--
-- Name: data_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

ALTER TABLE public.data ALTER COLUMN id ADD GENERATED BY DEFAULT AS IDENTITY (
    SEQUENCE NAME public.data_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1
);


--
-- Name: demo_customer; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_customer (
    customer_id bigint NOT NULL,
    customer_name character varying(30) DEFAULT ''::character varying NOT NULL,
    phonenumber character varying(11) DEFAULT NULL::character varying,
    sex character(1) DEFAULT NULL::bpchar,
    birthday timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.demo_customer OWNER TO postgres;

--
-- Name: TABLE demo_customer; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_customer IS '客户主表(mb)';


--
-- Name: COLUMN demo_customer.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.customer_id IS '客户id';


--
-- Name: COLUMN demo_customer.customer_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.customer_name IS '客户姓名';


--
-- Name: COLUMN demo_customer.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.phonenumber IS '手机号码';


--
-- Name: COLUMN demo_customer.sex; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.sex IS '客户性别';


--
-- Name: COLUMN demo_customer.birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.birthday IS '客户生日';


--
-- Name: COLUMN demo_customer.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_customer.remark IS '客户描述';


--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_customer_customer_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_customer_customer_id_seq OWNER TO postgres;

--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_customer_customer_id_seq OWNED BY public.demo_customer.customer_id;


--
-- Name: demo_goods; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_goods (
    goods_id bigint NOT NULL,
    customer_id bigint NOT NULL,
    name character varying(30) DEFAULT NULL::character varying,
    weight integer DEFAULT 0,
    price numeric(6,2) DEFAULT NULL::numeric,
    date timestamp without time zone,
    type character(1) DEFAULT NULL::bpchar
);


ALTER TABLE public.demo_goods OWNER TO postgres;

--
-- Name: TABLE demo_goods; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_goods IS '商品子表(mb)';


--
-- Name: COLUMN demo_goods.goods_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.goods_id IS '商品id';


--
-- Name: COLUMN demo_goods.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.customer_id IS '客户id';


--
-- Name: COLUMN demo_goods.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.name IS '商品名称';


--
-- Name: COLUMN demo_goods.weight; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.weight IS '商品重量';


--
-- Name: COLUMN demo_goods.price; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.price IS '商品价格';


--
-- Name: COLUMN demo_goods.date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.date IS '商品时间';


--
-- Name: COLUMN demo_goods.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_goods.type IS '商品种类';


--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_goods_goods_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_goods_goods_id_seq OWNER TO postgres;

--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_goods_goods_id_seq OWNED BY public.demo_goods.goods_id;


--
-- Name: demo_product; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_product (
    product_id bigint NOT NULL,
    parent_id bigint DEFAULT 0,
    product_name character varying(30) NOT NULL,
    order_num integer DEFAULT 0,
    status character(1) DEFAULT '0'::bpchar
);


ALTER TABLE public.demo_product OWNER TO postgres;

--
-- Name: TABLE demo_product; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_product IS '产品树表(mb)';


--
-- Name: COLUMN demo_product.product_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.product_id IS '产品id';


--
-- Name: COLUMN demo_product.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.parent_id IS '父产品id';


--
-- Name: COLUMN demo_product.product_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.product_name IS '产品名称';


--
-- Name: COLUMN demo_product.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.order_num IS '显示顺序';


--
-- Name: COLUMN demo_product.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_product.status IS '产品状态（0正常 1停用）';


--
-- Name: demo_product_product_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_product_product_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_product_product_id_seq OWNER TO postgres;

--
-- Name: demo_product_product_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_product_product_id_seq OWNED BY public.demo_product.product_id;


--
-- Name: demo_student; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.demo_student (
    student_id bigint NOT NULL,
    student_name character varying(30) NOT NULL,
    student_age integer,
    student_hobby character varying(30) NOT NULL,
    student_sex character(1) NOT NULL,
    student_status character(1) DEFAULT '0'::bpchar,
    student_birthday timestamp without time zone
);


ALTER TABLE public.demo_student OWNER TO postgres;

--
-- Name: TABLE demo_student; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.demo_student IS '学生信息单表(mb)';


--
-- Name: COLUMN demo_student.student_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_id IS '编号';


--
-- Name: COLUMN demo_student.student_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_name IS '学生名称';


--
-- Name: COLUMN demo_student.student_age; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_age IS '年龄';


--
-- Name: COLUMN demo_student.student_hobby; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_hobby IS '爱好（0代码 1音乐 2电影）';


--
-- Name: COLUMN demo_student.student_sex; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_sex IS '性别（1男 2女 3未知）';


--
-- Name: COLUMN demo_student.student_status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_status IS '状态（0正常 1停用）';


--
-- Name: COLUMN demo_student.student_birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.demo_student.student_birthday IS '生日';


--
-- Name: demo_student_student_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.demo_student_student_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.demo_student_student_id_seq OWNER TO postgres;

--
-- Name: demo_student_student_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE public.demo_student_student_id_seq OWNED BY public.demo_student.student_id;


--
-- Name: gen_table; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.gen_table (
    table_id bigint NOT NULL,
    table_name character varying(200) DEFAULT ''::character varying,
    table_comment character varying(500) DEFAULT ''::character varying,
    sub_table_name character varying(64) DEFAULT ''::character varying,
    sub_table_fk_name character varying(64) DEFAULT ''::character varying,
    class_name character varying(100) DEFAULT ''::character varying,
    tpl_category character varying(200) DEFAULT 'crud'::character varying,
    package_name character varying(100) DEFAULT NULL::character varying,
    module_name character varying(30) DEFAULT NULL::character varying,
    business_name character varying(30) DEFAULT NULL::character varying,
    function_name character varying(50) DEFAULT NULL::character varying,
    function_author character varying(50) DEFAULT NULL::character varying,
    gen_type character(1) DEFAULT '0'::bpchar NOT NULL,
    gen_path character varying(200) DEFAULT '/'::character varying,
    options character varying(1000) DEFAULT NULL::character varying,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.gen_table OWNER TO postgres;

--
-- Name: TABLE gen_table; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.gen_table IS '代码生成业务表';


--
-- Name: COLUMN gen_table.table_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_id IS '编号';


--
-- Name: COLUMN gen_table.table_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_name IS '表名称';


--
-- Name: COLUMN gen_table.table_comment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.table_comment IS '表描述';


--
-- Name: COLUMN gen_table.sub_table_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.sub_table_name IS '关联子表的表名';


--
-- Name: COLUMN gen_table.sub_table_fk_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.sub_table_fk_name IS '子表关联的外键名';


--
-- Name: COLUMN gen_table.class_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.class_name IS '实体类名称';


--
-- Name: COLUMN gen_table.tpl_category; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.tpl_category IS '使用的模板（CRUD单表操作 TREE树表操作）';


--
-- Name: COLUMN gen_table.package_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.package_name IS '生成包路径';


--
-- Name: COLUMN gen_table.module_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.module_name IS '生成模块名';


--
-- Name: COLUMN gen_table.business_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.business_name IS '生成业务名';


--
-- Name: COLUMN gen_table.function_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.function_name IS '生成功能名';


--
-- Name: COLUMN gen_table.function_author; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.function_author IS '生成功能作者';


--
-- Name: COLUMN gen_table.gen_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.gen_type IS '生成代码方式（0zip压缩包 1自定义路径）';


--
-- Name: COLUMN gen_table.gen_path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.gen_path IS '生成路径（不填默认项目路径）';


--
-- Name: COLUMN gen_table.options; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.options IS '其它生成选项';


--
-- Name: COLUMN gen_table.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.version IS '乐观锁';


--
-- Name: COLUMN gen_table.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.create_by IS '创建者';


--
-- Name: COLUMN gen_table.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.create_time IS '创建时间';


--
-- Name: COLUMN gen_table.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.update_by IS '更新者';


--
-- Name: COLUMN gen_table.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.update_time IS '更新时间';


--
-- Name: COLUMN gen_table.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table.remark IS '备注';


--
-- Name: gen_table_column; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.gen_table_column (
    column_id bigint NOT NULL,
    table_id bigint,
    column_name character varying(200) DEFAULT NULL::character varying,
    column_comment character varying(500) DEFAULT NULL::character varying,
    column_type character varying(100) DEFAULT NULL::character varying,
    java_type character varying(500) DEFAULT NULL::character varying,
    java_field character varying(200) DEFAULT NULL::character varying,
    is_pk character(1) DEFAULT NULL::bpchar,
    is_increment character(1) DEFAULT NULL::bpchar,
    is_required character(1) DEFAULT NULL::bpchar,
    is_insert character(1) DEFAULT NULL::bpchar,
    is_edit character(1) DEFAULT NULL::bpchar,
    is_list character(1) DEFAULT NULL::bpchar,
    is_query character(1) DEFAULT NULL::bpchar,
    query_type character varying(200) DEFAULT 'EQ'::character varying,
    html_type character varying(200) DEFAULT NULL::character varying,
    dict_type character varying(200) DEFAULT ''::character varying,
    sort integer,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.gen_table_column OWNER TO postgres;

--
-- Name: TABLE gen_table_column; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.gen_table_column IS '代码生成业务表字段';


--
-- Name: COLUMN gen_table_column.column_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_id IS '编号';


--
-- Name: COLUMN gen_table_column.table_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.table_id IS '归属表编号';


--
-- Name: COLUMN gen_table_column.column_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_name IS '列名称';


--
-- Name: COLUMN gen_table_column.column_comment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_comment IS '列描述';


--
-- Name: COLUMN gen_table_column.column_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.column_type IS '列类型';


--
-- Name: COLUMN gen_table_column.java_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.java_type IS 'JAVA类型';


--
-- Name: COLUMN gen_table_column.java_field; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.java_field IS 'JAVA字段名';


--
-- Name: COLUMN gen_table_column.is_pk; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_pk IS '是否主键（1是）';


--
-- Name: COLUMN gen_table_column.is_increment; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_increment IS '是否自增（1是）';


--
-- Name: COLUMN gen_table_column.is_required; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_required IS '是否必填（1是）';


--
-- Name: COLUMN gen_table_column.is_insert; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_insert IS '是否为插入字段（1是）';


--
-- Name: COLUMN gen_table_column.is_edit; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_edit IS '是否编辑字段（1是）';


--
-- Name: COLUMN gen_table_column.is_list; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_list IS '是否列表字段（1是）';


--
-- Name: COLUMN gen_table_column.is_query; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.is_query IS '是否查询字段（1是）';


--
-- Name: COLUMN gen_table_column.query_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.query_type IS '查询方式（等于、不等于、大于、小于、范围）';


--
-- Name: COLUMN gen_table_column.html_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.html_type IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';


--
-- Name: COLUMN gen_table_column.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.dict_type IS '字典类型';


--
-- Name: COLUMN gen_table_column.sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.sort IS '排序';


--
-- Name: COLUMN gen_table_column.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.version IS '乐观锁';


--
-- Name: COLUMN gen_table_column.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.create_by IS '创建者';


--
-- Name: COLUMN gen_table_column.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.create_time IS '创建时间';


--
-- Name: COLUMN gen_table_column.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.update_by IS '更新者';


--
-- Name: COLUMN gen_table_column.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.gen_table_column.update_time IS '更新时间';


--
-- Name: mf_customer; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_customer (
    customer_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    customer_name character varying(30) DEFAULT ''::character varying NOT NULL,
    phonenumber character varying(11) DEFAULT NULL::character varying,
    gender character(1) DEFAULT NULL::bpchar,
    birthday timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying,
    version integer DEFAULT 0 NOT NULL,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.mf_customer OWNER TO postgres;

--
-- Name: TABLE mf_customer; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_customer IS '客户主表';


--
-- Name: COLUMN mf_customer.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.customer_id IS '客户id';


--
-- Name: COLUMN mf_customer.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_customer.customer_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.customer_name IS '客户姓名';


--
-- Name: COLUMN mf_customer.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.phonenumber IS '手机号码';


--
-- Name: COLUMN mf_customer.gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.gender IS '客户性别';


--
-- Name: COLUMN mf_customer.birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.birthday IS '客户生日';


--
-- Name: COLUMN mf_customer.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.remark IS '客户描述';


--
-- Name: COLUMN mf_customer.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.version IS '乐观锁';


--
-- Name: COLUMN mf_customer.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_customer.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.create_by IS '创建者';


--
-- Name: COLUMN mf_customer.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.create_time IS '创建时间';


--
-- Name: COLUMN mf_customer.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.update_by IS '更新者';


--
-- Name: COLUMN mf_customer.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_customer.update_time IS '更新时间';


--
-- Name: mf_goods; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_goods (
    goods_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    customer_id bigint NOT NULL,
    name character varying(30) DEFAULT NULL::character varying,
    weight integer DEFAULT 0,
    price numeric(6,2) DEFAULT NULL::numeric,
    date timestamp without time zone,
    type character(1) DEFAULT NULL::bpchar,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.mf_goods OWNER TO postgres;

--
-- Name: TABLE mf_goods; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_goods IS '商品子表';


--
-- Name: COLUMN mf_goods.goods_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.goods_id IS '商品id';


--
-- Name: COLUMN mf_goods.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_goods.customer_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.customer_id IS '客户id';


--
-- Name: COLUMN mf_goods.name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.name IS '商品名称';


--
-- Name: COLUMN mf_goods.weight; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.weight IS '商品重量';


--
-- Name: COLUMN mf_goods.price; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.price IS '商品价格';


--
-- Name: COLUMN mf_goods.date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.date IS '商品时间';


--
-- Name: COLUMN mf_goods.type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.type IS '商品种类';


--
-- Name: COLUMN mf_goods.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.create_by IS '创建者';


--
-- Name: COLUMN mf_goods.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.create_time IS '创建时间';


--
-- Name: COLUMN mf_goods.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.update_by IS '更新者';


--
-- Name: COLUMN mf_goods.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_goods.update_time IS '更新时间';


--
-- Name: mf_product; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_product (
    product_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    parent_id bigint DEFAULT 0,
    product_name character varying(30) NOT NULL,
    order_num integer DEFAULT 0,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0 NOT NULL,
    del_flag smallint DEFAULT '0'::smallint NOT NULL,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.mf_product OWNER TO postgres;

--
-- Name: TABLE mf_product; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_product IS '产品树表';


--
-- Name: COLUMN mf_product.product_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.product_id IS '产品id';


--
-- Name: COLUMN mf_product.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_product.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.parent_id IS '父产品id';


--
-- Name: COLUMN mf_product.product_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.product_name IS '产品名称';


--
-- Name: COLUMN mf_product.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.order_num IS '显示顺序';


--
-- Name: COLUMN mf_product.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.status IS '产品状态（0正常 1停用）';


--
-- Name: COLUMN mf_product.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.version IS '乐观锁';


--
-- Name: COLUMN mf_product.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_product.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.create_by IS '创建者';


--
-- Name: COLUMN mf_product.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.create_time IS '创建时间';


--
-- Name: COLUMN mf_product.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.update_by IS '更新者';


--
-- Name: COLUMN mf_product.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_product.update_time IS '更新时间';


--
-- Name: mf_student; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.mf_student (
    student_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    student_name character varying(30) NOT NULL,
    student_age integer,
    student_hobby character varying(30) NOT NULL,
    student_gender character(1) NOT NULL,
    student_status character(1) DEFAULT '0'::bpchar,
    student_birthday timestamp without time zone,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT '0'::smallint,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.mf_student OWNER TO postgres;

--
-- Name: TABLE mf_student; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.mf_student IS '学生信息单表';


--
-- Name: COLUMN mf_student.student_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_id IS '编号';


--
-- Name: COLUMN mf_student.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.tenant_id IS '租户编码';


--
-- Name: COLUMN mf_student.student_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_name IS '学生名称';


--
-- Name: COLUMN mf_student.student_age; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_age IS '年龄';


--
-- Name: COLUMN mf_student.student_hobby; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_hobby IS '爱好（0代码 1音乐 2电影）';


--
-- Name: COLUMN mf_student.student_gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_gender IS '性别（1男 2女 3未知）';


--
-- Name: COLUMN mf_student.student_status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_status IS '状态（0正常 1停用）';


--
-- Name: COLUMN mf_student.student_birthday; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.student_birthday IS '生日';


--
-- Name: COLUMN mf_student.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.version IS '乐观锁';


--
-- Name: COLUMN mf_student.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.del_flag IS '逻辑删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN mf_student.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.create_by IS '创建者';


--
-- Name: COLUMN mf_student.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.create_time IS '创建时间';


--
-- Name: COLUMN mf_student.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.update_by IS '更新者';


--
-- Name: COLUMN mf_student.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.mf_student.update_time IS '更新时间';


--
-- Name: native; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE public.native
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER SEQUENCE public.native OWNER TO postgres;

--
-- Name: pj_app_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_app_info (
    id bigint NOT NULL,
    app_name character varying(255) DEFAULT NULL::character varying,
    current_server character varying(255) DEFAULT NULL::character varying,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    password character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_app_info OWNER TO postgres;

--
-- Name: pj_container_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_container_info (
    id bigint NOT NULL,
    app_id bigint,
    container_name character varying(255) DEFAULT NULL::character varying,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    last_deploy_time timestamp without time zone,
    source_info character varying(255) DEFAULT NULL::character varying,
    source_type integer,
    status integer,
    version character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_container_info OWNER TO postgres;

--
-- Name: pj_instance_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_instance_info (
    id bigint NOT NULL,
    actual_trigger_time bigint,
    app_id bigint,
    expected_trigger_time bigint,
    finished_time bigint,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    instance_id bigint,
    instance_params text,
    job_id bigint,
    job_params text,
    last_report_time bigint,
    result text,
    running_times bigint,
    status integer,
    task_tracker_address character varying(255) DEFAULT NULL::character varying,
    type integer,
    wf_instance_id bigint
);


ALTER TABLE public.pj_instance_info OWNER TO postgres;

--
-- Name: pj_job_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_job_info (
    id bigint NOT NULL,
    alarm_config character varying(255) DEFAULT NULL::character varying,
    app_id bigint,
    concurrency integer,
    designated_workers character varying(255) DEFAULT NULL::character varying,
    dispatch_strategy integer,
    execute_type integer,
    extra character varying(255) DEFAULT NULL::character varying,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    instance_retry_num integer,
    instance_time_limit bigint,
    job_description character varying(255) DEFAULT NULL::character varying,
    job_name character varying(255) DEFAULT NULL::character varying,
    job_params text,
    lifecycle character varying(255) DEFAULT NULL::character varying,
    log_config character varying(255) DEFAULT NULL::character varying,
    max_instance_num integer,
    max_worker_count integer,
    min_cpu_cores double precision NOT NULL,
    min_disk_space double precision NOT NULL,
    min_memory_space double precision NOT NULL,
    next_trigger_time bigint,
    notify_user_ids character varying(255) DEFAULT NULL::character varying,
    processor_info character varying(255) DEFAULT NULL::character varying,
    processor_type integer,
    status integer,
    tag character varying(255) DEFAULT NULL::character varying,
    task_retry_num integer,
    time_expression character varying(255) DEFAULT NULL::character varying,
    time_expression_type integer
);


ALTER TABLE public.pj_job_info OWNER TO postgres;

--
-- Name: pj_oms_lock; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_oms_lock (
    id bigint NOT NULL,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    lock_name character varying(255) DEFAULT NULL::character varying,
    max_lock_time bigint,
    ownerip character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_oms_lock OWNER TO postgres;

--
-- Name: pj_server_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_server_info (
    id bigint NOT NULL,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    ip character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_server_info OWNER TO postgres;

--
-- Name: pj_user_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_user_info (
    id bigint NOT NULL,
    email character varying(255) DEFAULT NULL::character varying,
    extra character varying(255) DEFAULT NULL::character varying,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    password character varying(255) DEFAULT NULL::character varying,
    phone character varying(255) DEFAULT NULL::character varying,
    username character varying(255) DEFAULT NULL::character varying,
    web_hook character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_user_info OWNER TO postgres;

--
-- Name: pj_workflow_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_info (
    id bigint NOT NULL,
    app_id bigint,
    extra character varying(255) DEFAULT NULL::character varying,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    lifecycle character varying(255) DEFAULT NULL::character varying,
    max_wf_instance_num integer,
    next_trigger_time bigint,
    notify_user_ids character varying(255) DEFAULT NULL::character varying,
    pedag text,
    status integer,
    time_expression character varying(255) DEFAULT NULL::character varying,
    time_expression_type integer,
    wf_description character varying(255) DEFAULT NULL::character varying,
    wf_name character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.pj_workflow_info OWNER TO postgres;

--
-- Name: pj_workflow_instance_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_instance_info (
    id bigint NOT NULL,
    actual_trigger_time bigint,
    app_id bigint,
    dag text,
    expected_trigger_time bigint,
    finished_time bigint,
    gmt_create timestamp without time zone,
    gmt_modified timestamp without time zone,
    parent_wf_instance_id bigint,
    result text,
    status integer,
    wf_context text,
    wf_init_params text,
    wf_instance_id bigint,
    workflow_id bigint
);


ALTER TABLE public.pj_workflow_instance_info OWNER TO postgres;

--
-- Name: pj_workflow_node_info; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.pj_workflow_node_info (
    id bigint NOT NULL,
    app_id bigint NOT NULL,
    enable boolean NOT NULL,
    extra text,
    gmt_create timestamp without time zone NOT NULL,
    gmt_modified timestamp without time zone NOT NULL,
    job_id bigint,
    node_name character varying(255) DEFAULT NULL::character varying,
    node_params text,
    skip_when_failed boolean NOT NULL,
    type integer,
    workflow_id bigint
);


ALTER TABLE public.pj_workflow_node_info OWNER TO postgres;

--
-- Name: sys_client; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_client (
    id bigint NOT NULL,
    client_id character varying(64) DEFAULT ''::character varying,
    client_key character varying(32) DEFAULT ''::character varying,
    client_secret character varying(255) DEFAULT ''::character varying,
    grant_type character varying(255) DEFAULT ''::character varying,
    device_type character varying(32) DEFAULT ''::character varying,
    active_timeout integer DEFAULT 1800,
    timeout integer DEFAULT 604800,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_client OWNER TO postgres;

--
-- Name: TABLE sys_client; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_client IS '系统授权表';


--
-- Name: COLUMN sys_client.id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.id IS '主建';


--
-- Name: COLUMN sys_client.client_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_id IS '客户端id';


--
-- Name: COLUMN sys_client.client_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_key IS '客户端key';


--
-- Name: COLUMN sys_client.client_secret; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.client_secret IS '客户端秘钥';


--
-- Name: COLUMN sys_client.grant_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.grant_type IS '授权类型';


--
-- Name: COLUMN sys_client.device_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.device_type IS '设备类型';


--
-- Name: COLUMN sys_client.active_timeout; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.active_timeout IS 'token活跃超时时间';


--
-- Name: COLUMN sys_client.timeout; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.timeout IS 'token固定超时';


--
-- Name: COLUMN sys_client.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_client.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.version IS '乐观锁';


--
-- Name: COLUMN sys_client.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_client.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.create_by IS '创建者';


--
-- Name: COLUMN sys_client.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.create_time IS '创建时间';


--
-- Name: COLUMN sys_client.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.update_by IS '更新者';


--
-- Name: COLUMN sys_client.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_client.update_time IS '更新时间';


--
-- Name: sys_config; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_config (
    config_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    config_name character varying(100) DEFAULT ''::character varying,
    config_key character varying(100) DEFAULT ''::character varying,
    config_value character varying(500) DEFAULT ''::character varying,
    config_type character(1) DEFAULT 'N'::bpchar,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_config OWNER TO postgres;

--
-- Name: TABLE sys_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_config IS '参数配置表';


--
-- Name: COLUMN sys_config.config_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_id IS '参数主键';


--
-- Name: COLUMN sys_config.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_config.config_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_name IS '参数名称';


--
-- Name: COLUMN sys_config.config_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_key IS '参数键名';


--
-- Name: COLUMN sys_config.config_value; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_value IS '参数键值';


--
-- Name: COLUMN sys_config.config_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.config_type IS '系统内置（Y是 N否）';


--
-- Name: COLUMN sys_config.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.version IS '乐观锁';


--
-- Name: COLUMN sys_config.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.create_by IS '创建者';


--
-- Name: COLUMN sys_config.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.create_time IS '创建时间';


--
-- Name: COLUMN sys_config.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.update_by IS '更新者';


--
-- Name: COLUMN sys_config.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.update_time IS '更新时间';


--
-- Name: COLUMN sys_config.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_config.remark IS '备注';


--
-- Name: sys_dept; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dept (
    dept_id bigint NOT NULL,
    tenant_id bigint DEFAULT 0,
    parent_id bigint DEFAULT 0,
    ancestors character varying(760) DEFAULT ''::character varying,
    dept_name character varying(30) DEFAULT ''::character varying,
    order_num integer DEFAULT 0,
    leader character varying(20) DEFAULT ''::character varying,
    phone character varying(11) DEFAULT NULL::character varying,
    email character varying(50) DEFAULT NULL::character varying,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_dept OWNER TO postgres;

--
-- Name: TABLE sys_dept; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dept IS '部门表';


--
-- Name: COLUMN sys_dept.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.dept_id IS '部门ID';


--
-- Name: COLUMN sys_dept.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dept.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.parent_id IS '父部门ID';


--
-- Name: COLUMN sys_dept.ancestors; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.ancestors IS '祖级列表';


--
-- Name: COLUMN sys_dept.dept_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.dept_name IS '部门名称';


--
-- Name: COLUMN sys_dept.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.order_num IS '显示顺序';


--
-- Name: COLUMN sys_dept.leader; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.leader IS '负责人';


--
-- Name: COLUMN sys_dept.phone; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.phone IS '联系电话';


--
-- Name: COLUMN sys_dept.email; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.email IS '邮箱';


--
-- Name: COLUMN sys_dept.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.status IS '部门状态（0正常 1停用）';


--
-- Name: COLUMN sys_dept.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.version IS '乐观锁';


--
-- Name: COLUMN sys_dept.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_dept.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.create_by IS '创建者';


--
-- Name: COLUMN sys_dept.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.create_time IS '创建时间';


--
-- Name: COLUMN sys_dept.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.update_by IS '更新者';


--
-- Name: COLUMN sys_dept.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dept.update_time IS '更新时间';


--
-- Name: sys_dict_data; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dict_data (
    dict_code bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    dict_sort integer DEFAULT 0,
    dict_label character varying(100) DEFAULT ''::character varying,
    dict_value character varying(100) DEFAULT ''::character varying,
    dict_type character varying(100) DEFAULT ''::character varying,
    css_class character varying(100) DEFAULT NULL::character varying,
    list_class character varying(100) DEFAULT NULL::character varying,
    is_default character(1) DEFAULT 'N'::bpchar,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_dict_data OWNER TO postgres;

--
-- Name: TABLE sys_dict_data; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dict_data IS '字典数据表';


--
-- Name: COLUMN sys_dict_data.dict_code; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_code IS '字典编码';


--
-- Name: COLUMN sys_dict_data.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dict_data.dict_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_sort IS '字典排序';


--
-- Name: COLUMN sys_dict_data.dict_label; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_label IS '字典标签';


--
-- Name: COLUMN sys_dict_data.dict_value; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_value IS '字典键值';


--
-- Name: COLUMN sys_dict_data.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.dict_type IS '字典类型';


--
-- Name: COLUMN sys_dict_data.css_class; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.css_class IS '样式属性（其他样式扩展）';


--
-- Name: COLUMN sys_dict_data.list_class; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.list_class IS '表格回显样式';


--
-- Name: COLUMN sys_dict_data.is_default; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.is_default IS '是否默认（Y是 N否）';


--
-- Name: COLUMN sys_dict_data.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.version IS '乐观锁';


--
-- Name: COLUMN sys_dict_data.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.create_by IS '创建者';


--
-- Name: COLUMN sys_dict_data.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.create_time IS '创建时间';


--
-- Name: COLUMN sys_dict_data.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.update_by IS '更新者';


--
-- Name: COLUMN sys_dict_data.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.update_time IS '更新时间';


--
-- Name: COLUMN sys_dict_data.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_data.remark IS '备注';


--
-- Name: sys_dict_type; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_dict_type (
    dict_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    dict_name character varying(100) DEFAULT ''::character varying,
    dict_type character varying(100) DEFAULT ''::character varying,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_dict_type OWNER TO postgres;

--
-- Name: TABLE sys_dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_dict_type IS '字典类型表';


--
-- Name: COLUMN sys_dict_type.dict_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_id IS '字典主键';


--
-- Name: COLUMN sys_dict_type.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_dict_type.dict_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_name IS '字典名称';


--
-- Name: COLUMN sys_dict_type.dict_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.dict_type IS '字典类型';


--
-- Name: COLUMN sys_dict_type.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.version IS '乐观锁';


--
-- Name: COLUMN sys_dict_type.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.create_by IS '创建者';


--
-- Name: COLUMN sys_dict_type.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.create_time IS '创建时间';


--
-- Name: COLUMN sys_dict_type.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.update_by IS '更新者';


--
-- Name: COLUMN sys_dict_type.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.update_time IS '更新时间';


--
-- Name: COLUMN sys_dict_type.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_dict_type.remark IS '备注';


--
-- Name: sys_logininfor; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_logininfor (
    info_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    user_name character varying(50) DEFAULT ''::character varying,
    client_key character varying(32) DEFAULT ''::character varying,
    device_type character varying(32) DEFAULT ''::character varying,
    ipaddr character varying(128) DEFAULT ''::character varying,
    login_location character varying(255) DEFAULT ''::character varying,
    browser character varying(50) DEFAULT ''::character varying,
    os character varying(50) DEFAULT ''::character varying,
    status character(1) DEFAULT '0'::bpchar,
    msg character varying(255) DEFAULT ''::character varying,
    login_time timestamp without time zone
);


ALTER TABLE public.sys_logininfor OWNER TO postgres;

--
-- Name: TABLE sys_logininfor; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_logininfor IS '系统访问记录';


--
-- Name: COLUMN sys_logininfor.info_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.info_id IS '访问ID';


--
-- Name: COLUMN sys_logininfor.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_logininfor.user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.user_name IS '用户账号';


--
-- Name: COLUMN sys_logininfor.client_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.client_key IS '客户端';


--
-- Name: COLUMN sys_logininfor.device_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.device_type IS '设备类型';


--
-- Name: COLUMN sys_logininfor.ipaddr; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.ipaddr IS '登录IP地址';


--
-- Name: COLUMN sys_logininfor.login_location; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.login_location IS '登录地点';


--
-- Name: COLUMN sys_logininfor.browser; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.browser IS '浏览器类型';


--
-- Name: COLUMN sys_logininfor.os; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.os IS '操作系统';


--
-- Name: COLUMN sys_logininfor.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.status IS '登录状态（0成功 1失败）';


--
-- Name: COLUMN sys_logininfor.msg; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.msg IS '提示消息';


--
-- Name: COLUMN sys_logininfor.login_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_logininfor.login_time IS '访问时间';


--
-- Name: sys_menu; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_menu (
    menu_id bigint NOT NULL,
    menu_name character varying(50) NOT NULL,
    parent_id bigint DEFAULT 0,
    order_num integer DEFAULT 0,
    path character varying(200) DEFAULT ''::character varying,
    component character varying(255) DEFAULT NULL::character varying,
    component_name character varying(255) DEFAULT NULL::character varying,
    query_param character varying(255) DEFAULT NULL::character varying,
    is_frame character(1) DEFAULT '1'::bpchar,
    is_cache character(1) DEFAULT '0'::bpchar,
    menu_type character(1) DEFAULT ''::bpchar,
    visible character(1) DEFAULT '0'::bpchar,
    status character(1) DEFAULT '0'::bpchar,
    perms character varying(100) DEFAULT NULL::character varying,
    icon character varying(100) DEFAULT '#'::character varying,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT ''::character varying
);


ALTER TABLE public.sys_menu OWNER TO postgres;

--
-- Name: TABLE sys_menu; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_menu IS '菜单权限表';


--
-- Name: COLUMN sys_menu.menu_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_id IS '菜单ID';


--
-- Name: COLUMN sys_menu.menu_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_name IS '菜单名称';


--
-- Name: COLUMN sys_menu.parent_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.parent_id IS '父菜单ID';


--
-- Name: COLUMN sys_menu.order_num; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.order_num IS '显示顺序';


--
-- Name: COLUMN sys_menu.path; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.path IS '路由地址';


--
-- Name: COLUMN sys_menu.component; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.component IS '组件路径';


--
-- Name: COLUMN sys_menu.component_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.component_name IS '组件名称';


--
-- Name: COLUMN sys_menu.query_param; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.query_param IS '路由参数';


--
-- Name: COLUMN sys_menu.is_frame; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.is_frame IS '是否为外链（0是 1否）';


--
-- Name: COLUMN sys_menu.is_cache; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.is_cache IS '是否缓存（0缓存 1不缓存）';


--
-- Name: COLUMN sys_menu.menu_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.menu_type IS '菜单类型（M目录 C菜单 F按钮）';


--
-- Name: COLUMN sys_menu.visible; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.visible IS '显示状态（0显示 1隐藏）';


--
-- Name: COLUMN sys_menu.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.status IS '菜单状态（0正常 1停用）';


--
-- Name: COLUMN sys_menu.perms; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.perms IS '权限标识';


--
-- Name: COLUMN sys_menu.icon; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.icon IS '菜单图标';


--
-- Name: COLUMN sys_menu.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.version IS '乐观锁';


--
-- Name: COLUMN sys_menu.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.create_by IS '创建者';


--
-- Name: COLUMN sys_menu.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.create_time IS '创建时间';


--
-- Name: COLUMN sys_menu.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.update_by IS '更新者';


--
-- Name: COLUMN sys_menu.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.update_time IS '更新时间';


--
-- Name: COLUMN sys_menu.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_menu.remark IS '备注';


--
-- Name: sys_notice; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_notice (
    notice_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    notice_title character varying(50) NOT NULL,
    notice_type character(1) NOT NULL,
    notice_content text,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(255) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_notice OWNER TO postgres;

--
-- Name: TABLE sys_notice; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_notice IS '通知公告表';


--
-- Name: COLUMN sys_notice.notice_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_id IS '公告ID';


--
-- Name: COLUMN sys_notice.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_notice.notice_title; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_title IS '公告标题';


--
-- Name: COLUMN sys_notice.notice_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_type IS '公告类型（1通知 2公告）';


--
-- Name: COLUMN sys_notice.notice_content; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.notice_content IS '公告内容';


--
-- Name: COLUMN sys_notice.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.status IS '公告状态（0正常 1关闭）';


--
-- Name: COLUMN sys_notice.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.version IS '乐观锁';


--
-- Name: COLUMN sys_notice.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.create_by IS '创建者';


--
-- Name: COLUMN sys_notice.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.create_time IS '创建时间';


--
-- Name: COLUMN sys_notice.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.update_by IS '更新者';


--
-- Name: COLUMN sys_notice.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.update_time IS '更新时间';


--
-- Name: COLUMN sys_notice.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_notice.remark IS '备注';


--
-- Name: sys_oper_log; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oper_log (
    oper_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    title character varying(50) DEFAULT ''::character varying,
    business_type integer DEFAULT 0,
    method character varying(100) DEFAULT ''::character varying,
    request_method character varying(10) DEFAULT ''::character varying,
    operator_type integer DEFAULT 0,
    oper_name character varying(50) DEFAULT ''::character varying,
    dept_name character varying(50) DEFAULT ''::character varying,
    oper_url character varying(255) DEFAULT ''::character varying,
    oper_ip character varying(128) DEFAULT ''::character varying,
    oper_location character varying(255) DEFAULT ''::character varying,
    oper_param character varying(2000) DEFAULT ''::character varying,
    json_result character varying(2000) DEFAULT ''::character varying,
    status integer DEFAULT 0,
    error_msg character varying(2000) DEFAULT ''::character varying,
    oper_time timestamp without time zone,
    cost_time bigint DEFAULT 0
);


ALTER TABLE public.sys_oper_log OWNER TO postgres;

--
-- Name: TABLE sys_oper_log; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oper_log IS '操作日志记录';


--
-- Name: COLUMN sys_oper_log.oper_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_id IS '日志主键';


--
-- Name: COLUMN sys_oper_log.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_oper_log.title; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.title IS '模块标题';


--
-- Name: COLUMN sys_oper_log.business_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.business_type IS '业务类型（0其它 1新增 2修改 3删除）';


--
-- Name: COLUMN sys_oper_log.method; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.method IS '方法名称';


--
-- Name: COLUMN sys_oper_log.request_method; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.request_method IS '请求方式';


--
-- Name: COLUMN sys_oper_log.operator_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.operator_type IS '操作类别（0其它 1后台用户 2手机端用户）';


--
-- Name: COLUMN sys_oper_log.oper_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_name IS '操作人员';


--
-- Name: COLUMN sys_oper_log.dept_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.dept_name IS '部门名称';


--
-- Name: COLUMN sys_oper_log.oper_url; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_url IS '请求URL';


--
-- Name: COLUMN sys_oper_log.oper_ip; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_ip IS '主机地址';


--
-- Name: COLUMN sys_oper_log.oper_location; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_location IS '操作地点';


--
-- Name: COLUMN sys_oper_log.oper_param; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_param IS '请求参数';


--
-- Name: COLUMN sys_oper_log.json_result; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.json_result IS '返回参数';


--
-- Name: COLUMN sys_oper_log.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.status IS '操作状态（0正常 1异常）';


--
-- Name: COLUMN sys_oper_log.error_msg; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.error_msg IS '错误消息';


--
-- Name: COLUMN sys_oper_log.oper_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.oper_time IS '操作时间';


--
-- Name: COLUMN sys_oper_log.cost_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oper_log.cost_time IS '消耗时间';


--
-- Name: sys_oss; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oss (
    oss_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    file_name character varying(255) DEFAULT ''::character varying NOT NULL,
    original_name character varying(255) DEFAULT ''::character varying NOT NULL,
    file_suffix character varying(10) DEFAULT ''::character varying NOT NULL,
    url character varying(500) DEFAULT ''::character varying NOT NULL,
    service character varying(20) DEFAULT 'minio'::character varying,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_oss OWNER TO postgres;

--
-- Name: TABLE sys_oss; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oss IS 'OSS对象存储表';


--
-- Name: COLUMN sys_oss.oss_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.oss_id IS '对象存储主键';


--
-- Name: COLUMN sys_oss.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.tenant_id IS '租户编码';


--
-- Name: COLUMN sys_oss.file_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.file_name IS '文件名';


--
-- Name: COLUMN sys_oss.original_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.original_name IS '原名';


--
-- Name: COLUMN sys_oss.file_suffix; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.file_suffix IS '文件后缀名';


--
-- Name: COLUMN sys_oss.url; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.url IS 'URL地址';


--
-- Name: COLUMN sys_oss.service; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.service IS '服务商';


--
-- Name: COLUMN sys_oss.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.version IS '乐观锁';


--
-- Name: COLUMN sys_oss.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.create_by IS '上传人';


--
-- Name: COLUMN sys_oss.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.create_time IS '创建时间';


--
-- Name: COLUMN sys_oss.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.update_by IS '更新者';


--
-- Name: COLUMN sys_oss.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss.update_time IS '更新时间';


--
-- Name: sys_oss_config; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_oss_config (
    oss_config_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    config_key character varying(20) DEFAULT ''::character varying NOT NULL,
    access_key character varying(255) DEFAULT ''::character varying,
    secret_key character varying(255) DEFAULT ''::character varying,
    bucket_name character varying(255) DEFAULT ''::character varying,
    prefix character varying(255) DEFAULT ''::character varying,
    endpoint character varying(255) DEFAULT ''::character varying,
    domain character varying(255) DEFAULT ''::character varying,
    is_https character(1) DEFAULT 'N'::bpchar,
    region character varying(255) DEFAULT ''::character varying,
    access_policy character(1) DEFAULT '1'::bpchar NOT NULL,
    status character(1) DEFAULT '1'::bpchar,
    ext1 character varying(255) DEFAULT ''::character varying,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT ''::character varying
);


ALTER TABLE public.sys_oss_config OWNER TO postgres;

--
-- Name: TABLE sys_oss_config; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_oss_config IS '对象存储配置表';


--
-- Name: COLUMN sys_oss_config.oss_config_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.oss_config_id IS '主建';


--
-- Name: COLUMN sys_oss_config.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.tenant_id IS '租户编码';


--
-- Name: COLUMN sys_oss_config.config_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.config_key IS '配置key';


--
-- Name: COLUMN sys_oss_config.access_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.access_key IS 'accessKey';


--
-- Name: COLUMN sys_oss_config.secret_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.secret_key IS '秘钥';


--
-- Name: COLUMN sys_oss_config.bucket_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.bucket_name IS '桶名称';


--
-- Name: COLUMN sys_oss_config.prefix; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.prefix IS '前缀';


--
-- Name: COLUMN sys_oss_config.endpoint; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.endpoint IS '访问站点';


--
-- Name: COLUMN sys_oss_config.domain; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.domain IS '自定义域名';


--
-- Name: COLUMN sys_oss_config.is_https; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.is_https IS '是否https（Y=是,N=否）';


--
-- Name: COLUMN sys_oss_config.region; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.region IS '域';


--
-- Name: COLUMN sys_oss_config.access_policy; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.access_policy IS '桶权限类型(0=private 1=public 2=custom)';


--
-- Name: COLUMN sys_oss_config.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.status IS '是否默认（0=是,1=否）';


--
-- Name: COLUMN sys_oss_config.ext1; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.ext1 IS '扩展字段';


--
-- Name: COLUMN sys_oss_config.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.version IS '乐观锁';


--
-- Name: COLUMN sys_oss_config.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.create_by IS '创建者';


--
-- Name: COLUMN sys_oss_config.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.create_time IS '创建时间';


--
-- Name: COLUMN sys_oss_config.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.update_by IS '更新者';


--
-- Name: COLUMN sys_oss_config.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.update_time IS '更新时间';


--
-- Name: COLUMN sys_oss_config.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_oss_config.remark IS '备注';


--
-- Name: sys_post; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_post (
    post_id bigint NOT NULL,
    tenant_id bigint DEFAULT '0'::bigint NOT NULL,
    post_code character varying(64) NOT NULL,
    post_name character varying(50) NOT NULL,
    post_sort integer NOT NULL,
    status character(1) NOT NULL,
    version integer DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_post OWNER TO postgres;

--
-- Name: TABLE sys_post; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_post IS '岗位信息表';


--
-- Name: COLUMN sys_post.post_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_id IS '岗位ID';


--
-- Name: COLUMN sys_post.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_post.post_code; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_code IS '岗位编码';


--
-- Name: COLUMN sys_post.post_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_name IS '岗位名称';


--
-- Name: COLUMN sys_post.post_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.post_sort IS '显示顺序';


--
-- Name: COLUMN sys_post.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_post.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.version IS '乐观锁';


--
-- Name: COLUMN sys_post.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.create_by IS '创建者';


--
-- Name: COLUMN sys_post.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.create_time IS '创建时间';


--
-- Name: COLUMN sys_post.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.update_by IS '更新者';


--
-- Name: COLUMN sys_post.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.update_time IS '更新时间';


--
-- Name: COLUMN sys_post.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_post.remark IS '备注';


--
-- Name: sys_role; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role (
    role_id bigint NOT NULL,
    tenant_id bigint DEFAULT 0,
    role_name character varying(30) NOT NULL,
    role_key character varying(100) NOT NULL,
    role_sort integer NOT NULL,
    data_scope character(1) DEFAULT '1'::bpchar,
    menu_check_strictly boolean DEFAULT true,
    dept_check_strictly boolean DEFAULT true,
    status character(1) NOT NULL,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_role OWNER TO postgres;

--
-- Name: TABLE sys_role; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role IS '角色信息表';


--
-- Name: COLUMN sys_role.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_id IS '角色ID';


--
-- Name: COLUMN sys_role.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_role.role_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_name IS '角色名称';


--
-- Name: COLUMN sys_role.role_key; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_key IS '角色权限字符串';


--
-- Name: COLUMN sys_role.role_sort; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.role_sort IS '显示顺序';


--
-- Name: COLUMN sys_role.data_scope; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.data_scope IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';


--
-- Name: COLUMN sys_role.menu_check_strictly; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.menu_check_strictly IS '菜单树选择项是否关联显示';


--
-- Name: COLUMN sys_role.dept_check_strictly; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.dept_check_strictly IS '部门树选择项是否关联显示';


--
-- Name: COLUMN sys_role.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.status IS '角色状态（0正常 1停用）';


--
-- Name: COLUMN sys_role.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.version IS '乐观锁';


--
-- Name: COLUMN sys_role.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_role.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.create_by IS '创建者';


--
-- Name: COLUMN sys_role.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.create_time IS '创建时间';


--
-- Name: COLUMN sys_role.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.update_by IS '更新者';


--
-- Name: COLUMN sys_role.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.update_time IS '更新时间';


--
-- Name: COLUMN sys_role.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role.remark IS '备注';


--
-- Name: sys_role_dept; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role_dept (
    role_id bigint NOT NULL,
    dept_id bigint NOT NULL
);


ALTER TABLE public.sys_role_dept OWNER TO postgres;

--
-- Name: TABLE sys_role_dept; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role_dept IS '角色和部门关联表';


--
-- Name: COLUMN sys_role_dept.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_dept.role_id IS '角色ID';


--
-- Name: COLUMN sys_role_dept.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_dept.dept_id IS '部门ID';


--
-- Name: sys_role_menu; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_role_menu (
    role_id bigint NOT NULL,
    menu_id bigint NOT NULL
);


ALTER TABLE public.sys_role_menu OWNER TO postgres;

--
-- Name: TABLE sys_role_menu; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_role_menu IS '角色和菜单关联表';


--
-- Name: COLUMN sys_role_menu.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_menu.role_id IS '角色ID';


--
-- Name: COLUMN sys_role_menu.menu_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_role_menu.menu_id IS '菜单ID';


--
-- Name: sys_tenant; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_tenant (
    tenant_id bigint NOT NULL,
    contact_user_name character varying(20) DEFAULT NULL::character varying,
    contact_phone character varying(20) DEFAULT NULL::character varying,
    company_name character varying(50) DEFAULT NULL::character varying,
    license_number character varying(30) DEFAULT NULL::character varying,
    address character varying(200) DEFAULT NULL::character varying,
    intro character varying(200) DEFAULT NULL::character varying,
    domain character varying(200) DEFAULT NULL::character varying,
    remark character varying(200) DEFAULT NULL::character varying,
    package_id bigint,
    expire_time timestamp without time zone,
    account_count integer DEFAULT '-1'::integer,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_tenant OWNER TO postgres;

--
-- Name: TABLE sys_tenant; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_tenant IS '租户表';


--
-- Name: COLUMN sys_tenant.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_tenant.contact_user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.contact_user_name IS '联系人';


--
-- Name: COLUMN sys_tenant.contact_phone; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.contact_phone IS '联系电话';


--
-- Name: COLUMN sys_tenant.company_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.company_name IS '企业名称';


--
-- Name: COLUMN sys_tenant.license_number; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.license_number IS '统一社会信用代码';


--
-- Name: COLUMN sys_tenant.address; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.address IS '地址';


--
-- Name: COLUMN sys_tenant.intro; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.intro IS '企业简介';


--
-- Name: COLUMN sys_tenant.domain; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.domain IS '域名';


--
-- Name: COLUMN sys_tenant.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.remark IS '备注';


--
-- Name: COLUMN sys_tenant.package_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.package_id IS '租户套餐编号';


--
-- Name: COLUMN sys_tenant.expire_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.expire_time IS '过期时间';


--
-- Name: COLUMN sys_tenant.account_count; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.account_count IS '用户数量（-1不限制）';


--
-- Name: COLUMN sys_tenant.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.status IS '租户状态（0正常 1停用）';


--
-- Name: COLUMN sys_tenant.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.version IS '乐观锁';


--
-- Name: COLUMN sys_tenant.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_tenant.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.create_by IS '创建者';


--
-- Name: COLUMN sys_tenant.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.create_time IS '创建时间';


--
-- Name: COLUMN sys_tenant.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.update_by IS '更新者';


--
-- Name: COLUMN sys_tenant.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant.update_time IS '更新时间';


--
-- Name: sys_tenant_package; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_tenant_package (
    package_id bigint NOT NULL,
    package_name character varying(20) DEFAULT ''::character varying,
    menu_ids character varying(3000) DEFAULT ''::character varying,
    remark character varying(200) DEFAULT ''::character varying,
    menu_check_strictly boolean DEFAULT true,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone
);


ALTER TABLE public.sys_tenant_package OWNER TO postgres;

--
-- Name: TABLE sys_tenant_package; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_tenant_package IS '租户套餐表';


--
-- Name: COLUMN sys_tenant_package.package_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.package_id IS '租户套餐id';


--
-- Name: COLUMN sys_tenant_package.package_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.package_name IS '套餐名称';


--
-- Name: COLUMN sys_tenant_package.menu_ids; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.menu_ids IS '关联菜单id';


--
-- Name: COLUMN sys_tenant_package.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.remark IS '备注';


--
-- Name: COLUMN sys_tenant_package.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.status IS '状态（0正常 1停用）';


--
-- Name: COLUMN sys_tenant_package.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.version IS '乐观锁';


--
-- Name: COLUMN sys_tenant_package.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_tenant_package.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.create_by IS '创建者';


--
-- Name: COLUMN sys_tenant_package.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.create_time IS '创建时间';


--
-- Name: COLUMN sys_tenant_package.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.update_by IS '更新者';


--
-- Name: COLUMN sys_tenant_package.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_tenant_package.update_time IS '更新时间';


--
-- Name: sys_user; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user (
    user_id bigint NOT NULL,
    tenant_id bigint,
    dept_id bigint,
    user_name character varying(30) NOT NULL,
    nick_name character varying(30) NOT NULL,
    user_type character varying(10) DEFAULT 'sys_user'::character varying,
    email character varying(50) DEFAULT ''::character varying NOT NULL,
    phonenumber character varying(11) DEFAULT ''::character varying,
    gender character(1) DEFAULT '0'::bpchar,
    avatar bigint,
    password character varying(100) DEFAULT ''::character varying,
    status character(1) DEFAULT '0'::bpchar,
    version integer DEFAULT 0,
    del_flag smallint DEFAULT 0,
    login_ip character varying(128) DEFAULT ''::character varying,
    login_date timestamp without time zone,
    create_by bigint,
    create_time timestamp without time zone,
    update_by bigint,
    update_time timestamp without time zone,
    remark character varying(500) DEFAULT NULL::character varying
);


ALTER TABLE public.sys_user OWNER TO postgres;

--
-- Name: TABLE sys_user; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user IS '用户信息表';


--
-- Name: COLUMN sys_user.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_id IS '用户ID';


--
-- Name: COLUMN sys_user.tenant_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.tenant_id IS '租户编号';


--
-- Name: COLUMN sys_user.dept_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.dept_id IS '部门ID';


--
-- Name: COLUMN sys_user.user_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_name IS '用户账号';


--
-- Name: COLUMN sys_user.nick_name; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.nick_name IS '用户昵称';


--
-- Name: COLUMN sys_user.user_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.user_type IS '用户类型（sys_user系统用户）';


--
-- Name: COLUMN sys_user.email; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.email IS '用户邮箱';


--
-- Name: COLUMN sys_user.phonenumber; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.phonenumber IS '手机号码';


--
-- Name: COLUMN sys_user.gender; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.gender IS '用户性别（0男 1女 2未知）';


--
-- Name: COLUMN sys_user.avatar; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.avatar IS '头像地址';


--
-- Name: COLUMN sys_user.password; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.password IS '密码';


--
-- Name: COLUMN sys_user.status; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.status IS '帐号状态（0正常 1停用）';


--
-- Name: COLUMN sys_user.version; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.version IS '乐观锁';


--
-- Name: COLUMN sys_user.del_flag; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.del_flag IS '删除标志（0代表存在 1代表删除）';


--
-- Name: COLUMN sys_user.login_ip; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.login_ip IS '最后登陆IP';


--
-- Name: COLUMN sys_user.login_date; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.login_date IS '最后登陆时间';


--
-- Name: COLUMN sys_user.create_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.create_by IS '创建者';


--
-- Name: COLUMN sys_user.create_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.create_time IS '创建时间';


--
-- Name: COLUMN sys_user.update_by; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.update_by IS '更新者';


--
-- Name: COLUMN sys_user.update_time; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.update_time IS '更新时间';


--
-- Name: COLUMN sys_user.remark; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user.remark IS '备注';


--
-- Name: sys_user_post; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user_post (
    user_id bigint NOT NULL,
    post_id bigint NOT NULL
);


ALTER TABLE public.sys_user_post OWNER TO postgres;

--
-- Name: TABLE sys_user_post; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user_post IS '用户与岗位关联表';


--
-- Name: COLUMN sys_user_post.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_post.user_id IS '用户ID';


--
-- Name: COLUMN sys_user_post.post_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_post.post_id IS '岗位ID';


--
-- Name: sys_user_role; Type: TABLE; Schema: public; Owner: postgres
--

CREATE TABLE public.sys_user_role (
    user_id bigint NOT NULL,
    role_id bigint NOT NULL
);


ALTER TABLE public.sys_user_role OWNER TO postgres;

--
-- Name: TABLE sys_user_role; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE public.sys_user_role IS '用户和角色关联表';


--
-- Name: COLUMN sys_user_role.user_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_role.user_id IS '用户ID';


--
-- Name: COLUMN sys_user_role.role_id; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON COLUMN public.sys_user_role.role_id IS '角色ID';


--
-- Name: demo_customer customer_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_customer ALTER COLUMN customer_id SET DEFAULT nextval('public.demo_customer_customer_id_seq'::regclass);


--
-- Name: demo_goods goods_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_goods ALTER COLUMN goods_id SET DEFAULT nextval('public.demo_goods_goods_id_seq'::regclass);


--
-- Name: demo_product product_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_product ALTER COLUMN product_id SET DEFAULT nextval('public.demo_product_product_id_seq'::regclass);


--
-- Name: demo_student student_id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_student ALTER COLUMN student_id SET DEFAULT nextval('public.demo_student_student_id_seq'::regclass);


--
-- Data for Name: algorithm_biz_process; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_biz_process (id, sub_task_id, name, type, status, algorithm_id, model_id, parameters, preprocess_path, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_biz_process (id, sub_task_id, name, type, status, algorithm_id, model_id, parameters, preprocess_path, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5504.dat';

--
-- Data for Name: algorithm_config; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_config (id, type, parent_id, subsystem, algorithm_name, algorithm_address, parameter_config, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_config (id, type, parent_id, subsystem, algorithm_name, algorithm_address, parameter_config, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5500.dat';

--
-- Data for Name: algorithm_data_process; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_data_process (id, sub_task_id, name, type, status, algorithm_id, parameters, preprocess_path, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_data_process (id, sub_task_id, name, type, status, algorithm_id, parameters, preprocess_path, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5506.dat';

--
-- Data for Name: algorithm_data_set; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_data_set (id, sub_task_id, name, type, status, parameters, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_data_set (id, sub_task_id, name, type, status, parameters, result_path, index, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5505.dat';

--
-- Data for Name: algorithm_model; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_model (id, algorithm_id, model_name, model_address, sample_number, cycle_epoch, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_model (id, algorithm_id, model_name, model_address, sample_number, cycle_epoch, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5501.dat';

--
-- Data for Name: algorithm_subtask; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_subtask (id, task_id, name, type, status, parameters, start_time, end_time, cost_second, log, index, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_subtask (id, task_id, name, type, status, parameters, start_time, end_time, cost_second, log, index, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5503.dat';

--
-- Data for Name: algorithm_task; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.algorithm_task (id, name, status, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM stdin;
\.
COPY public.algorithm_task (id, name, status, start_time, end_time, cost_second, log, create_by, create_time, update_by, update_time, remarks, tenant_id, version, del_flag, system) FROM '$$PATH$$/5502.dat';

--
-- Data for Name: data; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.data (id, name, data_type, file_type, object_type, object_subtype, batch_num, scene, data_source, gather_time, gather_spot, url, labelurl, increment, labeled) FROM stdin;
\.
COPY public.data (id, name, data_type, file_type, object_type, object_subtype, batch_num, scene, data_source, gather_time, gather_spot, url, labelurl, increment, labeled) FROM '$$PATH$$/5499.dat';

--
-- Data for Name: demo_customer; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.demo_customer (customer_id, customer_name, phonenumber, sex, birthday, remark) FROM stdin;
\.
COPY public.demo_customer (customer_id, customer_name, phonenumber, sex, birthday, remark) FROM '$$PATH$$/5454.dat';

--
-- Data for Name: demo_goods; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.demo_goods (goods_id, customer_id, name, weight, price, date, type) FROM stdin;
\.
COPY public.demo_goods (goods_id, customer_id, name, weight, price, date, type) FROM '$$PATH$$/5456.dat';

--
-- Data for Name: demo_product; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.demo_product (product_id, parent_id, product_name, order_num, status) FROM stdin;
\.
COPY public.demo_product (product_id, parent_id, product_name, order_num, status) FROM '$$PATH$$/5458.dat';

--
-- Data for Name: demo_student; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.demo_student (student_id, student_name, student_age, student_hobby, student_sex, student_status, student_birthday) FROM stdin;
\.
COPY public.demo_student (student_id, student_name, student_age, student_hobby, student_sex, student_status, student_birthday) FROM '$$PATH$$/5460.dat';

--
-- Data for Name: gen_table; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5462.dat';

--
-- Data for Name: gen_table_column; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, version, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, version, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5463.dat';

--
-- Data for Name: mf_customer; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.mf_customer (customer_id, tenant_id, customer_name, phonenumber, gender, birthday, remark, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.mf_customer (customer_id, tenant_id, customer_name, phonenumber, gender, birthday, remark, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5464.dat';

--
-- Data for Name: mf_goods; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.mf_goods (goods_id, tenant_id, customer_id, name, weight, price, date, type, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.mf_goods (goods_id, tenant_id, customer_id, name, weight, price, date, type, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5465.dat';

--
-- Data for Name: mf_product; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.mf_product (product_id, tenant_id, parent_id, product_name, order_num, status, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.mf_product (product_id, tenant_id, parent_id, product_name, order_num, status, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5466.dat';

--
-- Data for Name: mf_student; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.mf_student (student_id, tenant_id, student_name, student_age, student_hobby, student_gender, student_status, student_birthday, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.mf_student (student_id, tenant_id, student_name, student_age, student_hobby, student_gender, student_status, student_birthday, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5467.dat';

--
-- Data for Name: pj_app_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_app_info (id, app_name, current_server, gmt_create, gmt_modified, password) FROM stdin;
\.
COPY public.pj_app_info (id, app_name, current_server, gmt_create, gmt_modified, password) FROM '$$PATH$$/5468.dat';

--
-- Data for Name: pj_container_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_container_info (id, app_id, container_name, gmt_create, gmt_modified, last_deploy_time, source_info, source_type, status, version) FROM stdin;
\.
COPY public.pj_container_info (id, app_id, container_name, gmt_create, gmt_modified, last_deploy_time, source_info, source_type, status, version) FROM '$$PATH$$/5469.dat';

--
-- Data for Name: pj_instance_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_instance_info (id, actual_trigger_time, app_id, expected_trigger_time, finished_time, gmt_create, gmt_modified, instance_id, instance_params, job_id, job_params, last_report_time, result, running_times, status, task_tracker_address, type, wf_instance_id) FROM stdin;
\.
COPY public.pj_instance_info (id, actual_trigger_time, app_id, expected_trigger_time, finished_time, gmt_create, gmt_modified, instance_id, instance_params, job_id, job_params, last_report_time, result, running_times, status, task_tracker_address, type, wf_instance_id) FROM '$$PATH$$/5470.dat';

--
-- Data for Name: pj_job_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy, execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit, job_description, job_name, job_params, lifecycle, log_config, max_instance_num, max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time, notify_user_ids, processor_info, processor_type, status, tag, task_retry_num, time_expression, time_expression_type) FROM stdin;
\.
COPY public.pj_job_info (id, alarm_config, app_id, concurrency, designated_workers, dispatch_strategy, execute_type, extra, gmt_create, gmt_modified, instance_retry_num, instance_time_limit, job_description, job_name, job_params, lifecycle, log_config, max_instance_num, max_worker_count, min_cpu_cores, min_disk_space, min_memory_space, next_trigger_time, notify_user_ids, processor_info, processor_type, status, tag, task_retry_num, time_expression, time_expression_type) FROM '$$PATH$$/5471.dat';

--
-- Data for Name: pj_oms_lock; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_oms_lock (id, gmt_create, gmt_modified, lock_name, max_lock_time, ownerip) FROM stdin;
\.
COPY public.pj_oms_lock (id, gmt_create, gmt_modified, lock_name, max_lock_time, ownerip) FROM '$$PATH$$/5472.dat';

--
-- Data for Name: pj_server_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_server_info (id, gmt_create, gmt_modified, ip) FROM stdin;
\.
COPY public.pj_server_info (id, gmt_create, gmt_modified, ip) FROM '$$PATH$$/5473.dat';

--
-- Data for Name: pj_user_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_user_info (id, email, extra, gmt_create, gmt_modified, password, phone, username, web_hook) FROM stdin;
\.
COPY public.pj_user_info (id, email, extra, gmt_create, gmt_modified, password, phone, username, web_hook) FROM '$$PATH$$/5474.dat';

--
-- Data for Name: pj_workflow_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_workflow_info (id, app_id, extra, gmt_create, gmt_modified, lifecycle, max_wf_instance_num, next_trigger_time, notify_user_ids, pedag, status, time_expression, time_expression_type, wf_description, wf_name) FROM stdin;
\.
COPY public.pj_workflow_info (id, app_id, extra, gmt_create, gmt_modified, lifecycle, max_wf_instance_num, next_trigger_time, notify_user_ids, pedag, status, time_expression, time_expression_type, wf_description, wf_name) FROM '$$PATH$$/5475.dat';

--
-- Data for Name: pj_workflow_instance_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_workflow_instance_info (id, actual_trigger_time, app_id, dag, expected_trigger_time, finished_time, gmt_create, gmt_modified, parent_wf_instance_id, result, status, wf_context, wf_init_params, wf_instance_id, workflow_id) FROM stdin;
\.
COPY public.pj_workflow_instance_info (id, actual_trigger_time, app_id, dag, expected_trigger_time, finished_time, gmt_create, gmt_modified, parent_wf_instance_id, result, status, wf_context, wf_init_params, wf_instance_id, workflow_id) FROM '$$PATH$$/5476.dat';

--
-- Data for Name: pj_workflow_node_info; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.pj_workflow_node_info (id, app_id, enable, extra, gmt_create, gmt_modified, job_id, node_name, node_params, skip_when_failed, type, workflow_id) FROM stdin;
\.
COPY public.pj_workflow_node_info (id, app_id, enable, extra, gmt_create, gmt_modified, job_id, node_name, node_params, skip_when_failed, type, workflow_id) FROM '$$PATH$$/5477.dat';

--
-- Data for Name: sys_client; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_client (id, client_id, client_key, client_secret, grant_type, device_type, active_timeout, timeout, status, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.sys_client (id, client_id, client_key, client_secret, grant_type, device_type, active_timeout, timeout, status, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5478.dat';

--
-- Data for Name: sys_config; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_config (config_id, tenant_id, config_name, config_key, config_value, config_type, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5479.dat';

--
-- Data for Name: sys_dept; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_dept (dept_id, tenant_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.sys_dept (dept_id, tenant_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5480.dat';

--
-- Data for Name: sys_dict_data; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_dict_data (dict_code, tenant_id, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5481.dat';

--
-- Data for Name: sys_dict_type; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_dict_type (dict_id, tenant_id, dict_name, dict_type, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5482.dat';

--
-- Data for Name: sys_logininfor; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_logininfor (info_id, tenant_id, user_name, client_key, device_type, ipaddr, login_location, browser, os, status, msg, login_time) FROM stdin;
\.
COPY public.sys_logininfor (info_id, tenant_id, user_name, client_key, device_type, ipaddr, login_location, browser, os, status, msg, login_time) FROM '$$PATH$$/5483.dat';

--
-- Data for Name: sys_menu; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, component_name, query_param, is_frame, is_cache, menu_type, visible, status, perms, icon, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5484.dat';

--
-- Data for Name: sys_notice; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_notice (notice_id, tenant_id, notice_title, notice_type, notice_content, status, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_notice (notice_id, tenant_id, notice_title, notice_type, notice_content, status, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5485.dat';

--
-- Data for Name: sys_oper_log; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_oper_log (oper_id, tenant_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) FROM stdin;
\.
COPY public.sys_oper_log (oper_id, tenant_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) FROM '$$PATH$$/5486.dat';

--
-- Data for Name: sys_oss; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_oss (oss_id, tenant_id, file_name, original_name, file_suffix, url, service, version, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.sys_oss (oss_id, tenant_id, file_name, original_name, file_suffix, url, service, version, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5487.dat';

--
-- Data for Name: sys_oss_config; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_oss_config (oss_config_id, tenant_id, config_key, access_key, secret_key, bucket_name, prefix, endpoint, domain, is_https, region, access_policy, status, ext1, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_oss_config (oss_config_id, tenant_id, config_key, access_key, secret_key, bucket_name, prefix, endpoint, domain, is_https, region, access_policy, status, ext1, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5488.dat';

--
-- Data for Name: sys_post; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_post (post_id, tenant_id, post_code, post_name, post_sort, status, version, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5489.dat';

--
-- Data for Name: sys_role; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_role (role_id, tenant_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, version, del_flag, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_role (role_id, tenant_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, version, del_flag, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5490.dat';

--
-- Data for Name: sys_role_dept; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_role_dept (role_id, dept_id) FROM stdin;
\.
COPY public.sys_role_dept (role_id, dept_id) FROM '$$PATH$$/5491.dat';

--
-- Data for Name: sys_role_menu; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_role_menu (role_id, menu_id) FROM stdin;
\.
COPY public.sys_role_menu (role_id, menu_id) FROM '$$PATH$$/5492.dat';

--
-- Data for Name: sys_tenant; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_tenant (tenant_id, contact_user_name, contact_phone, company_name, license_number, address, intro, domain, remark, package_id, expire_time, account_count, status, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.sys_tenant (tenant_id, contact_user_name, contact_phone, company_name, license_number, address, intro, domain, remark, package_id, expire_time, account_count, status, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5493.dat';

--
-- Data for Name: sys_tenant_package; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_tenant_package (package_id, package_name, menu_ids, remark, menu_check_strictly, status, version, del_flag, create_by, create_time, update_by, update_time) FROM stdin;
\.
COPY public.sys_tenant_package (package_id, package_name, menu_ids, remark, menu_check_strictly, status, version, del_flag, create_by, create_time, update_by, update_time) FROM '$$PATH$$/5494.dat';

--
-- Data for Name: sys_user; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_user (user_id, tenant_id, dept_id, user_name, nick_name, user_type, email, phonenumber, gender, avatar, password, status, version, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark) FROM stdin;
\.
COPY public.sys_user (user_id, tenant_id, dept_id, user_name, nick_name, user_type, email, phonenumber, gender, avatar, password, status, version, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark) FROM '$$PATH$$/5495.dat';

--
-- Data for Name: sys_user_post; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_user_post (user_id, post_id) FROM stdin;
\.
COPY public.sys_user_post (user_id, post_id) FROM '$$PATH$$/5496.dat';

--
-- Data for Name: sys_user_role; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY public.sys_user_role (user_id, role_id) FROM stdin;
\.
COPY public.sys_user_role (user_id, role_id) FROM '$$PATH$$/5497.dat';

--
-- Name: data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.data_id_seq', 1, false);


--
-- Name: demo_customer_customer_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_customer_customer_id_seq', 1, false);


--
-- Name: demo_goods_goods_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_goods_goods_id_seq', 1, false);


--
-- Name: demo_product_product_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_product_product_id_seq', 1, false);


--
-- Name: demo_student_student_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.demo_student_student_id_seq', 1, false);


--
-- Name: native; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('public.native', 11, true);


--
-- Name: algorithm_biz_process algorithm_biz_process_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_biz_process
    ADD CONSTRAINT algorithm_biz_process_pkey PRIMARY KEY (id);


--
-- Name: algorithm_config algorithm_config_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_config
    ADD CONSTRAINT algorithm_config_pkey PRIMARY KEY (id);


--
-- Name: algorithm_data_process algorithm_data_process_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_data_process
    ADD CONSTRAINT algorithm_data_process_pkey PRIMARY KEY (id);


--
-- Name: algorithm_data_set algorithm_data_set_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_data_set
    ADD CONSTRAINT algorithm_data_set_pkey PRIMARY KEY (id);


--
-- Name: algorithm_model algorithm_model_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_model
    ADD CONSTRAINT algorithm_model_pkey PRIMARY KEY (id);


--
-- Name: algorithm_subtask algorithm_subtask_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_subtask
    ADD CONSTRAINT algorithm_subtask_pkey PRIMARY KEY (id);


--
-- Name: algorithm_task algorithm_task_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.algorithm_task
    ADD CONSTRAINT algorithm_task_pkey PRIMARY KEY (id);


--
-- Name: data data_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.data
    ADD CONSTRAINT data_pkey PRIMARY KEY (id);


--
-- Name: demo_customer demo_customer_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_customer
    ADD CONSTRAINT demo_customer_pk PRIMARY KEY (customer_id);


--
-- Name: demo_goods demo_goods_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_goods
    ADD CONSTRAINT demo_goods_pk PRIMARY KEY (goods_id);


--
-- Name: demo_product demo_product_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_product
    ADD CONSTRAINT demo_product_pk PRIMARY KEY (product_id);


--
-- Name: demo_student demo_student_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.demo_student
    ADD CONSTRAINT demo_student_pk PRIMARY KEY (student_id);


--
-- Name: gen_table_column gen_table_column_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.gen_table_column
    ADD CONSTRAINT gen_table_column_pk PRIMARY KEY (column_id);


--
-- Name: gen_table gen_table_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.gen_table
    ADD CONSTRAINT gen_table_pk PRIMARY KEY (table_id);


--
-- Name: mf_customer mf_customer_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_customer
    ADD CONSTRAINT mf_customer_pk PRIMARY KEY (customer_id);


--
-- Name: mf_goods mf_goods_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_goods
    ADD CONSTRAINT mf_goods_pk PRIMARY KEY (goods_id);


--
-- Name: mf_product mf_product_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_product
    ADD CONSTRAINT mf_product_pk PRIMARY KEY (product_id);


--
-- Name: mf_student mf_student_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.mf_student
    ADD CONSTRAINT mf_student_pk PRIMARY KEY (student_id);


--
-- Name: pj_app_info pj_app_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_app_info
    ADD CONSTRAINT pj_app_info_pkey PRIMARY KEY (id);


--
-- Name: pj_container_info pj_container_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_container_info
    ADD CONSTRAINT pj_container_info_pkey PRIMARY KEY (id);


--
-- Name: pj_instance_info pj_instance_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_instance_info
    ADD CONSTRAINT pj_instance_info_pkey PRIMARY KEY (id);


--
-- Name: pj_job_info pj_job_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_job_info
    ADD CONSTRAINT pj_job_info_pkey PRIMARY KEY (id);


--
-- Name: pj_oms_lock pj_oms_lock_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_oms_lock
    ADD CONSTRAINT pj_oms_lock_pkey PRIMARY KEY (id);


--
-- Name: pj_server_info pj_server_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_server_info
    ADD CONSTRAINT pj_server_info_pkey PRIMARY KEY (id);


--
-- Name: pj_user_info pj_user_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_user_info
    ADD CONSTRAINT pj_user_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_info pj_workflow_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_info
    ADD CONSTRAINT pj_workflow_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_instance_info pj_workflow_instance_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_instance_info
    ADD CONSTRAINT pj_workflow_instance_info_pkey PRIMARY KEY (id);


--
-- Name: pj_workflow_node_info pj_workflow_node_info_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_node_info
    ADD CONSTRAINT pj_workflow_node_info_pkey PRIMARY KEY (id);


--
-- Name: sys_tenant pk_sys_tenant; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_tenant
    ADD CONSTRAINT pk_sys_tenant PRIMARY KEY (tenant_id);


--
-- Name: sys_client sys_client_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_client
    ADD CONSTRAINT sys_client_pk PRIMARY KEY (id);


--
-- Name: sys_config sys_config_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_config
    ADD CONSTRAINT sys_config_pk PRIMARY KEY (config_id);


--
-- Name: sys_dept sys_dept_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dept
    ADD CONSTRAINT sys_dept_pk PRIMARY KEY (dept_id);


--
-- Name: sys_dict_data sys_dict_data_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dict_data
    ADD CONSTRAINT sys_dict_data_pk PRIMARY KEY (dict_code);


--
-- Name: sys_dict_type sys_dict_type_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_dict_type
    ADD CONSTRAINT sys_dict_type_pk PRIMARY KEY (dict_id);


--
-- Name: sys_logininfor sys_logininfor_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_logininfor
    ADD CONSTRAINT sys_logininfor_pk PRIMARY KEY (info_id);


--
-- Name: sys_menu sys_menu_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_menu
    ADD CONSTRAINT sys_menu_pk PRIMARY KEY (menu_id);


--
-- Name: sys_notice sys_notice_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_notice
    ADD CONSTRAINT sys_notice_pk PRIMARY KEY (notice_id);


--
-- Name: sys_oper_log sys_oper_log_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oper_log
    ADD CONSTRAINT sys_oper_log_pk PRIMARY KEY (oper_id);


--
-- Name: sys_oss_config sys_oss_config_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oss_config
    ADD CONSTRAINT sys_oss_config_pk PRIMARY KEY (oss_config_id);


--
-- Name: sys_oss sys_oss_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_oss
    ADD CONSTRAINT sys_oss_pk PRIMARY KEY (oss_id);


--
-- Name: sys_post sys_post_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_post
    ADD CONSTRAINT sys_post_pk PRIMARY KEY (post_id);


--
-- Name: sys_role_dept sys_role_dept_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role_dept
    ADD CONSTRAINT sys_role_dept_pk PRIMARY KEY (role_id, dept_id);


--
-- Name: sys_role_menu sys_role_menu_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role_menu
    ADD CONSTRAINT sys_role_menu_pk PRIMARY KEY (role_id, menu_id);


--
-- Name: sys_role sys_role_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_role
    ADD CONSTRAINT sys_role_pk PRIMARY KEY (role_id);


--
-- Name: sys_tenant_package sys_tenant_package_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_tenant_package
    ADD CONSTRAINT sys_tenant_package_pkey PRIMARY KEY (package_id);


--
-- Name: sys_user sys_user_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user
    ADD CONSTRAINT sys_user_pk PRIMARY KEY (user_id);


--
-- Name: sys_user_post sys_user_post_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user_post
    ADD CONSTRAINT sys_user_post_pk PRIMARY KEY (user_id, post_id);


--
-- Name: sys_user_role sys_user_role_pk; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.sys_user_role
    ADD CONSTRAINT sys_user_role_pk PRIMARY KEY (user_id, role_id);


--
-- Name: pj_app_info uidx01_app_info; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_app_info
    ADD CONSTRAINT uidx01_app_info UNIQUE (app_name);


--
-- Name: pj_oms_lock uidx01_oms_lock; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_oms_lock
    ADD CONSTRAINT uidx01_oms_lock UNIQUE (lock_name);


--
-- Name: pj_server_info uidx01_server_info; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_server_info
    ADD CONSTRAINT uidx01_server_info UNIQUE (ip);


--
-- Name: pj_workflow_instance_info uidx01_wf_instance; Type: CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY public.pj_workflow_instance_info
    ADD CONSTRAINT uidx01_wf_instance UNIQUE (wf_instance_id);


--
-- Name: idx01_container_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_container_info ON public.pj_container_info USING btree (app_id);


--
-- Name: idx01_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_instance_info ON public.pj_instance_info USING btree (job_id, status);


--
-- Name: idx01_job_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_job_info ON public.pj_job_info USING btree (app_id, status, time_expression_type, next_trigger_time);


--
-- Name: idx01_server_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_server_info ON public.pj_server_info USING btree (gmt_modified);


--
-- Name: idx01_wf_instance; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_wf_instance ON public.pj_workflow_instance_info USING btree (workflow_id, status, app_id, expected_trigger_time);


--
-- Name: idx01_workflow_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_workflow_info ON public.pj_workflow_info USING btree (app_id, status, time_expression_type, next_trigger_time);


--
-- Name: idx01_workflow_node_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx01_workflow_node_info ON public.pj_workflow_node_info USING btree (workflow_id, gmt_create);


--
-- Name: idx02_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx02_instance_info ON public.pj_instance_info USING btree (app_id, status);


--
-- Name: idx03_instance_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx03_instance_info ON public.pj_instance_info USING btree (instance_id, status);


--
-- Name: idx_sys_logininfor_lt; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_logininfor_lt ON public.sys_logininfor USING btree (login_time);


--
-- Name: idx_sys_logininfor_s; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_logininfor_s ON public.sys_logininfor USING btree (status);


--
-- Name: idx_sys_oper_log_bt; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_bt ON public.sys_oper_log USING btree (business_type);


--
-- Name: idx_sys_oper_log_ot; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_ot ON public.sys_oper_log USING btree (oper_time);


--
-- Name: idx_sys_oper_log_s; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX idx_sys_oper_log_s ON public.sys_oper_log USING btree (status);


--
-- Name: sys_dict_type_index1; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX sys_dict_type_index1 ON public.sys_dict_type USING btree (tenant_id, dict_type);


--
-- Name: sys_user_unqindex_tenant_username; Type: INDEX; Schema: public; Owner: postgres
--

CREATE UNIQUE INDEX sys_user_unqindex_tenant_username ON public.sys_user USING btree (tenant_id, user_name);


--
-- Name: uidx01_user_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX uidx01_user_info ON public.pj_user_info USING btree (username);


--
-- Name: uidx02_user_info; Type: INDEX; Schema: public; Owner: postgres
--

CREATE INDEX uidx02_user_info ON public.pj_user_info USING btree (email);


--
-- PostgreSQL database dump complete
--

